DEEPIN-DESKTOP-TS-CONVERT(1)

NAME
deepin-desktop-ts-convert - convert between .desktop file and .ts file to ease translation

SYNOPSIS
deepin-desktop-ts-convert init desktopFile outputTsDir
deepin-desktop-ts-convert desktop2ts desktopFile outputTsDir
deepin-desktop-ts-convert ts2desktop desktopFile tsDir outputDesktopFile

DESCRIPTION
This manual page documents briefly the deepin-desktop-ts-convert command as provided by deepin-gettext-tools package.

deepin-desktop-ts-convert is a utility that helps developers convert translatable strings in desktop files into ts files to ease translation work. Translated strings in ts files can be merged back to original desktop file too with the help of this utility.

Such workflow is adopted by most Deepin software.

USAGE

To initialise conversion, use deepin-desktop-ts-convert init subcommand. In which case source ts file will be put into outputTsDir/desktop.ts and translation ts files should be named as outputTsDir/desktop_<lang>.ts.

    deepin-desktop-ts-convert init desktopFile outputTsDir

To update ts files from a new version of desktop file, use deepin-desktop-ts-convert desktop2ts subcommand. The updated ts file given as outputTsDir/desktop.ts file.

    deepin-desktop-ts-convert desktop2ts desktopFile outputTsDir

To generate translated desktop files, use deepin-desktop-ts-convert ts2desktop subcommand.

    deepin-desktop-ts-convert ts2desktop desktopFile tsDir outputDesktopFile

SEE ALSO

deepin-update-pot(1), deepin-generate-mo(1), deepin-policy-ts-convert(1).

The programs are further documented in the README.md as provided with this debian package under /usr/share/doc/deepin-gettext-tools/ directory.

AUTHOR

deepin-gettext-tools is written by Deepin Technology Co., Ltd.

This manual page was written by Boyuan Yang (073plan@gmail.com) for the Debian Project (but may be used by others).